//index.js
//获取应用实例
const app = getApp()
const AdaPay = require('./adaPay.js')
// const AdaPay = require('../../../AdaPay-wechat-SDK/AdaPay.js')

Page({
  data: {
    code: '',
    pay_amt: '0.01',
    open_id: ''
  },
  
  onLoad: function () {
    let self = this
    wx.login({
      success: function (res) {
        if (res.code) {
          self.setData({
            code: res.code
          })
        } else {
          console.log('获取用户登录态失败！' + res.errMsg)
        }
      }
    });
  },

  // 判断是否已经获取当前用户的 openid，如果已经存在直接下单，如果没有先获取 openid 再下单
  getUserInfo(e) {
    if (this.data.open_id.length > 0) {
      this.creatOrder()
    }else{
      let { code } = this.data
      let self = this
      wx.request({
        url: 'https://adapay-test-python.cloudpnr.com/api/v1/auth/wx_lite_silent',
        data: {
          js_code: code,
          app_id: 'wx121eceb8f398e376',
        },
        method: 'POST',
        success(res) {
          console.log("openId>>>>>" + res.data.openid)
          self.setData({
            open_id: res.data.openid
          }, () => {
            // 去下单
            self.creatOrder()
          })
        },
        fail(error) {
          console.log(error)
        }
      })
    }
    
  },

  // 输入金额监听，必须输入带两位小数点
  bindInput(e) {
    this.setData({
      pay_amt: e.detail.value
    })
  },

  // 下单请求
  creatOrder() {
    let { pay_amt, open_id } = this.data
    wx.request({
      url: 'https://adapay-test-python.cloudpnr.com/api/v1/payment/create',
      data: {
          "pay_amt": pay_amt,
          "app_id": "app_7d87c043-aae3-4357-9b2c-269349a980d6",
          "goods_title": "AdaPay 测试",
          "env": "1",
          "prod_mode": "1",
          "pay_channel": "wx_lite",
          "goods_desc": "AdaPay",
          "expend": {
              "is_raw": "0",
              "open_id": open_id,
              "wx_app_id": "wx121eceb8f398e376"
          }
      },
      method: 'POST',
      success(res) {
        console.log("payment>>>>>" + JSON.stringify(res))
        // 取出订单的 payment 数据并传递给 sdk
        let payment = JSON.parse(res.data.data)
        AdaPay.doPay(payment, (res) => {
          console.log(res)
          // 得到支付结果回调
          wx.showModal({
            title: '支付结果',
            content: JSON.stringify(res),
          })
        })
      },
      fail(error) {
        console.log(error)
      }
    })
  }
})
